package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.business.entity.SysDingGroup;
import com.qmth.sop.common.enums.ServiceStatusEnum;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 考勤组表
 * </p>
 *
 * @author dhshu
 * @since 2023-08-01
 */

public class SysDingGroupResult extends SysDingGroup implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "服务单元")
    private String service;

    @ApiModelProperty(value = "创建人")
    private String createName;

    @ApiModelProperty(value = "供应商")
    private String supplier;

    @ApiModelProperty(value = "服务单元状态")
    private ServiceStatusEnum status;

    @ApiModelProperty(value = "适用考勤对象")
    private List<SysDingGroupRoleResult> dingObjs = new ArrayList<>();

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "供应商id集合")
    private List<Long> supplierIdList;

    public List<SysDingGroupRoleResult> getDingObjs() {
        return dingObjs;
    }

    public void setDingObjs(List<SysDingGroupRoleResult> dingObjs) {
        this.dingObjs = dingObjs;
    }


    public String getService() {
        return service;
    }

    public void setService(String service) {
        this.service = service;
    }

    public String getSupplier() {
        return supplier;
    }

    public void setSupplier(String supplier) {
        this.supplier = supplier;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public ServiceStatusEnum getStatus() {
        return status;
    }

    public void setStatus(ServiceStatusEnum status) {
        this.status = status;
    }

    public List<Long> getSupplierIdList() {
        return supplierIdList;
    }

    public void setSupplierIdList(List<Long> supplierIdList) {
        this.supplierIdList = supplierIdList;
    }
}
